Subject: Re: bug#19297: 25.0.50; `C-c C-a' does not do the right thing from the trunk root

From: Stefan Monnier <[email-masked]>
Date: Mon, 08 Dec 2014 10:12:13 -0500

> It should peek at all the ChangeLog files or something, I think.

IIRC the error is that the code does not take the list of files you're
about to commit (in your case, etc/NEWS, lisp/ChangeLog, and
/lisp/net/eww.el) but instead takes the list of file names you're about
to pass to the commit command (in your case it's the single file name
".").

Clearly changes to "." shouldn't go into lisp/ChangeLog, so there's no
point looking for them in lisp/ChangeLog.  So you can work around this
problem by marking those files you want to commit rather than just
committing "everything that's changed".

        Stefan